# vim: set ts=4 sw=4 et:

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           deluge
Version:        1.3.2
%define pkg_version %{version}
Release:        0.pm.1.1
Summary:        Bittorrent Client
Source:         http://download.deluge-torrent.org/source/deluge-%{pkg_version}.tar.bz2
Patch1:         deluge-remove_pointless_shebangs.patch
Source99:       %{name}-rpmlintrc
URL:            http://deluge-torrent.org/
Group:          Productivity/Networking/Other
License:        GNU General Public License version 3 (GPL v3)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif
Requires:       python-twisted python-openssl python-setuptools python-pyxdg python-chardet python-notify python-pygame python-gtk xdg-utils python-mako python-markupsafe
Requires:       python-libtorrent-rasterbar >= 0.14.9
BuildRequires:  update-desktop-files python-setuptools python python-devel
BuildRequires:  fdupes
Provides:       %{name}-plugins = %{version}-%{release}
Provides:       deluge-torrent = %{version}-%{release}
Obsoletes:      deluge-unstable < %{version}
Conflicts:      deluge-unstable
%py_requires
Provides:       %{name}-ui-web = %{version}-%{release}
Provides:       %{name}-ui-gtk = %{version}-%{release}
Provides:       %{name}-ui-console = %{version}-%{release}

%description
A more full-featured yet still lightweight bittorrent client for Linux. Has
the ability to automatically resume partial downloads and background to the
system tray.




Authors:
--------
    The Deluge Team <deluge-dev@googlegroups.com>

%prep
%setup -q -n "deluge-%{version}"
%patch1

pushd deluge/ui/web/themes/images/
find . -type f -name '*Copy*' -exec %__rm {} \;
popd

%build
PREFIX="%{_prefix}" \
%__python ./setup.py build

%install
PREFIX="%{_prefix}" \
%__python ./setup.py install \
     --prefix="%{_prefix}" \
     --root="%{buildroot}" \
     --record-rpm=files.lst

%__perl -n -i -e 'print unless m|%{python_sitelib}/deluge/i18n/.+|' files.lst
LANGFILE=$PWD/deluge.lang
echo -n >"$LANGFILE"
pushd "%{buildroot}%{python_sitelib}/deluge/i18n"
/bin/ls -1 | while read lang; do
     [ -d "$lang" ] || continue
     echo "%lang(${lang}) %{python_sitelib}/deluge/i18n/${lang}" >>"$LANGFILE"
done
%__rm deluge.pot
popd #"%{buildroot}%{python_sitelib}/deluge/i18n"

# files to remove (both under buildroot and from the generated files.lst):
for f in \
"%{python_sitelib}/deluge/ui/web/gen_gettext.py" \
; do
     %__rm "%{buildroot}${f}"
     %__perl -n -i -e 'print unless m|^\Q'"${f}"'\E$|' files.lst
done

%suse_update_desktop_file -r deluge Network FileTransfer

%__perl -n -i -e 'print unless m|%{_mandir}/.+|' files.lst
%__perl -n -i -e 'print unless m,/usr/share/(applications|icons|pixmaps)/?$,' files.lst

%fdupes -s "%{buildroot}%{python_sitelib}/deluge/data/pixmaps"
%fdupes -s "%{buildroot}%{python_sitelib}/deluge/ui/web/themes"
%fdupes -s "%{buildroot}%{python_sitelib}/deluge/ui/web/icons"

# remove the egg-info directory from the generated files.lst, as each file underneath
# is also in files.lst, and the egg-info directory as %dir (hence twice), as it causes
# duplicate file warnings in rpmlint:
%__perl -n -i -e 'print unless m|^%{python_sitelib}/deluge-%{version}-py.+\.egg-info/?$|' files.lst

cat deluge.lang files.lst > rpmfiles.lst

%clean
%__rm -rf "%{buildroot}"

%files -f rpmfiles.lst
%defattr(-,root,root)
%doc LICENSE README ChangeLog
%{_mandir}/man1/deluge.1%{ext_man}
%{_mandir}/man1/deluged.1%{ext_man}
%{_mandir}/man1/deluge-gtk.1%{ext_man}
%{_mandir}/man1/deluge-web.1%{ext_man}
%{_mandir}/man1/deluge-console.1%{ext_man}

%changelog
* Wed May 25 2011 packman@ammler.ch
- update to 1.3.2
  * Core:
  * Fix a bug that can occur when upgrading 1.1 config files
  * #1517: Fix isohunt urls not loading
  * Handle redirection when adding a torrent by url
  * GtkUI:
  * #1514: Added Indicator Applet
  * #1494: Add torrent columns Downloaded and Uploaded
  * #1308: Add torrent column Seeds/Peers ratio
  * #1646: Add torrent columns for per torrent upload and download speed limits
  * #690:  Fix renaming folders does not remove old empty folders
  * #1498: Fix double slashes appearing when renaming
  * Add Key Shortcuts for main menu functions
  * WebUI:
  * #1355: Fix slow changing states in webUI
  * #1536: Fix Edit Trackers window not scrolling and not being resizable
  * #1799: Fix Missing textbox for "Move completed" in torrent options
  * #1268: Fix torrent errors not displayed in webui
  * #1333: Fix peer list doesn't update automatically
  * #1537: Fix editing trackers list, trackers have to be reselected
  * ConsoleUI:
  * #755:  Fix can't set listen_ports through console UI
  * #1500: Fix Console crashes on command longer than terminal width
  * #1248: Fix deluge-console unicode support on redirected stdout
  * #1450: Fix trailing white space in paths
  * #1856: Add --sort option to info command
  * #1857: Add seeding_time, active_time and tracker_status to info command
  * Scheduler:
  * #1506: Fix max speed not restored on a yellow->green transition
* Thu Dec  9 2010 pascal.bleser@opensuse.org
- update to 1.3.1:
  * core:
  + #1369: fix non-ascii config folders not working in windows
  * GTK:
  + #1365: fix sidebar not updating show/hide trackers
  + #1247: fix hang on quit
  * WebUI:
  + #1364: fix preferences not saving when the web ui plugin is enabled in classic mode
  + #1377: fix bug when enabling plugins
  + #1370: fix issues with preferences
  + #1312: fix deluge-web using 100%% CPU
* Wed Oct  6 2010 pascal@links2linux.de
- update to 1.3.0
* Wed Mar 31 2010 tkedwards@fastmail.com.au
- update to 1.2.3:
  * Fix libtorrent version compare to use a proper numerical compare instead of string. This fixes a problem where using lt 0.14.10 wouldn't allow Deluge to start.
  * Fix libtorrent 0.15 compatibility
* Sat Mar 20 2010 pascal@links2linux.de
- update to 1.2.2:
  * fix #1109 auto add halting when a torrent with invalid filename
    encoding is in the directory
  * GTK: fix #1162 problem with the queued torrents dialog from not
    properly adding to the add torrent dialog if set to auto add
  * GTK: fix #1172 notify startup complete when adding torrents
    externally
  * GTK: fix issue where the gtkui sometimes won't start if there
    is a stale lock file or socket in the ipc/ directory.
  * Console: fix #1143 deluge-console crashes when tab-completing
    not-existent directory
* Mon Feb 22 2010 pascal.bleser@opensuse.org
- update to 1.2.1
* Thu Jan 14 2010 tkedwards@fastmail.com.au
- Updated for 1.2.0, see http://dev.deluge-torrent.org/wiki/ChangeLog
* Mon Dec 28 2009 tkedwards@fastmail.com.au
- Updated for 1.2.0_rc5, see http://dev.deluge-torrent.org/wiki/ChangeLog
* Mon Nov 23 2009 tkedwards@fastmail.com.au
- Updated for 1.2.0_rc3
- Updated Requires: from the dependencies list at http://dev.deluge-torrent.org/wiki/Installing/Source
* Tue Jan 13 2009 guru@unixtech.be
- scrapped old %%%%changelog entries
- update to 1.1.0
* Sat Dec 13 2008 guru@unixtech.be
- update to 1.0.7:
  * GtkUI: fix #636 not setting the daemon's config directory when using
  - -config= with the UI in classic mode
  * GtkUI: fix some minor bugs in ConnectionManager
  * WebUI: changed all icons from tango to kde-oxygen because of licensing
    issues in debian
  * fix #547 add description to name field per HIG entry 2.1.1.1
  * libtorrent updates
  * point default blocklist url to our server and up interval to 4 days
* Mon Dec  1 2008 guru@unixtech.be
- update to 1.0.6:
  * fix #475: catch unicode decoding errors
  * add an option to not include IP overhead in rate limiting (this is equivalent
    to how 0.5.x behaves)
  * GtkUI: display the proper downloaded value in the statistics tab
